function EditableInputController($scope, $element, $attrs) {
    console.log($scope);
    console.log($element);
    var ctrl = this;
    ctrl.isEditing = false;

    ctrl.handleModeChange = function() {
        if (ctrl.isEditing) {
            ctrl.onUpdate({value: ctrl.modelValue});
            ctrl.modelValueCopy = ctrl.modelValue;
        }
        ctrl.isEditing = !ctrl.isEditing;
    };

    ctrl.reset = function() {
        ctrl.modelValue = ctrl.modelValueCopy;
    };

    ctrl.$onInit = function() {
        // Make a copy of the initial value to be able to reset it later
        ctrl.modelValueCopy = ctrl.modelValue;

        // Set a default inputType
        if (!ctrl.inputType) {
            ctrl.inputType = 'text';
        }
    };
}

export function register(module) {
    console.log(module);
    module.component('editableInput', {
        templateUrl: '/stocked/editableInput_partial',
        controller: EditableInputController,
        bindings: {
            modelValue: '<',
            inputID: '<',
            inputType: '@?',
            onUpdate: '&'
        }
    });
}
